Package org.apache.cayenne.ejbql.parser

## Interface EJBQLTreeConstants

- All Known Implementing Classes:
    `EJBQL`

      public interface EJBQLTreeConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `JJTABS` |
    `static int` | `JJTABSTRACTSCHEMANAME` |
    `static int` | `JJTADD` |
    `static int` | `JJTAGGREGATE` |
    `static int` | `JJTALL` |
    `static int` | `JJTAND` |
    `static int` | `JJTANY` |
    `static int` | `JJTASCENDING` |
    `static int` | `JJTAVERAGE` |
    `static int` | `JJTBETWEEN` |
    `static int` | `JJTBOOLEANLITERAL` |
    `static int` | `JJTCLASSNAME` |
    `static int` | `JJTCONCAT` |
    `static int` | `JJTCONSTRUCTOR` |
    `static int` | `JJTCONSTRUCTORPARAMETER` |
    `static int` | `JJTCONSTRUCTORPARAMETERS` |
    `static int` | `JJTCOUNT` |
    `static int` | `JJTCURRENTDATE` |
    `static int` | `JJTCURRENTTIME` |
    `static int` | `JJTCURRENTTIMESTAMP` |
    `static int` | `JJTDBPATH` |
    `static int` | `JJTDECIMALLITERAL` |
    `static int` | `JJTDELETE` |
    `static int` | `JJTDESCENDING` |
    `static int` | `JJTDISTINCT` |
    `static int` | `JJTDIVIDE` |
    `static int` | `JJTEQUALS` |
    `static int` | `JJTESCAPECHARACTER` |
    `static int` | `JJTEXISTS` |
    `static int` | `JJTFROM` |
    `static int` | `JJTFROMITEM` |
    `static int` | `JJTGREATEROREQUAL` |
    `static int` | `JJTGREATERTHAN` |
    `static int` | `JJTGROUPBY` |
    `static int` | `JJTHAVING` |
    `static int` | `JJTIDENTIFICATIONVARIABLE` |
    `static int` | `JJTIDENTIFIER` |
    `static int` | `JJTIN` |
    `static int` | `JJTINNERFETCHJOIN` |
    `static int` | `JJTINNERJOIN` |
    `static int` | `JJTINTEGERLITERAL` |
    `static int` | `JJTISEMPTY` |
    `static int` | `JJTISNULL` |
    `static int` | `JJTLENGTH` |
    `static int` | `JJTLESSOREQUAL` |
    `static int` | `JJTLESSTHAN` |
    `static int` | `JJTLIKE` |
    `static int` | `JJTLOCATE` |
    `static int` | `JJTLOWER` |
    `static int` | `JJTMAX` |
    `static int` | `JJTMEMBEROF` |
    `static int` | `JJTMIN` |
    `static int` | `JJTMOD` |
    `static int` | `JJTMULTIPLY` |
    `static int` | `JJTNAMEDINPUTPARAMETER` |
    `static int` | `JJTNEGATIVE` |
    `static String[]` | `jjtNodeName` |
    `static int` | `JJTNOT` |
    `static int` | `JJTNOTEQUALS` |
    `static int` | `JJTOR` |
    `static int` | `JJTORDERBY` |
    `static int` | `JJTORDERBYITEM` |
    `static int` | `JJTOUTERFETCHJOIN` |
    `static int` | `JJTOUTERJOIN` |
    `static int` | `JJTPATH` |
    `static int` | `JJTPATTERNVALUE` |
    `static int` | `JJTPOSITIONALINPUTPARAMETER` |
    `static int` | `JJTSELECT` |
    `static int` | `JJTSELECTCLAUSE` |
    `static int` | `JJTSELECTEXPRESSION` |
    `static int` | `JJTSELECTEXPRESSIONS` |
    `static int` | `JJTSIZE` |
    `static int` | `JJTSQRT` |
    `static int` | `JJTSTRINGLITERAL` |
    `static int` | `JJTSUBSELECT` |
    `static int` | `JJTSUBSTRING` |
    `static int` | `JJTSUBTRACT` |
    `static int` | `JJTSUM` |
    `static int` | `JJTTOK` |
    `static int` | `JJTTRIM` |
    `static int` | `JJTTRIMBOTH` |
    `static int` | `JJTTRIMCHARACTER` |
    `static int` | `JJTTRIMLEADING` |
    `static int` | `JJTTRIMTRAILING` |
    `static int` | `JJTUPDATE` |
    `static int` | `JJTUPDATEFIELD` |
    `static int` | `JJTUPDATEITEM` |
    `static int` | `JJTUPDATEVALUE` |
    `static int` | `JJTUPPER` |
    `static int` | `JJTVOID` |
    `static int` | `JJTWHERE` |

- - ### Field Detail

    - #### JJTVOID

          static final int JJTVOID

      See Also:
        Constant Field Values

    - #### JJTSELECT

          static final int JJTSELECT

      See Also:
        Constant Field Values

    - #### JJTUPDATE

          static final int JJTUPDATE

      See Also:
        Constant Field Values

    - #### JJTDELETE

          static final int JJTDELETE

      See Also:
        Constant Field Values

    - #### JJTFROM

          static final int JJTFROM

      See Also:
        Constant Field Values

    - #### JJTFROMITEM

          static final int JJTFROMITEM

      See Also:
        Constant Field Values

    - #### JJTINNERJOIN

          static final int JJTINNERJOIN

      See Also:
        Constant Field Values

    - #### JJTOUTERJOIN

          static final int JJTOUTERJOIN

      See Also:
        Constant Field Values

    - #### JJTOUTERFETCHJOIN

          static final int JJTOUTERFETCHJOIN

      See Also:
        Constant Field Values

    - #### JJTINNERFETCHJOIN

          static final int JJTINNERFETCHJOIN

      See Also:
        Constant Field Values

    - #### JJTDBPATH

          static final int JJTDBPATH

      See Also:
        Constant Field Values

    - #### JJTPATH

          static final int JJTPATH

      See Also:
        Constant Field Values

    - #### JJTUPDATEITEM

          static final int JJTUPDATEITEM

      See Also:
        Constant Field Values

    - #### JJTUPDATEFIELD

          static final int JJTUPDATEFIELD

      See Also:
        Constant Field Values

    - #### JJTUPDATEVALUE

          static final int JJTUPDATEVALUE

      See Also:
        Constant Field Values

    - #### JJTSELECTCLAUSE

          static final int JJTSELECTCLAUSE

      See Also:
        Constant Field Values

    - #### JJTSELECTEXPRESSIONS

          static final int JJTSELECTEXPRESSIONS

      See Also:
        Constant Field Values

    - #### JJTSELECTEXPRESSION

          static final int JJTSELECTEXPRESSION

      See Also:
        Constant Field Values

    - #### JJTCONSTRUCTOR

          static final int JJTCONSTRUCTOR

      See Also:
        Constant Field Values

    - #### JJTCLASSNAME

          static final int JJTCLASSNAME

      See Also:
        Constant Field Values

    - #### JJTCONSTRUCTORPARAMETERS

          static final int JJTCONSTRUCTORPARAMETERS

      See Also:
        Constant Field Values

    - #### JJTCONSTRUCTORPARAMETER

          static final int JJTCONSTRUCTORPARAMETER

      See Also:
        Constant Field Values

    - #### JJTAGGREGATE

          static final int JJTAGGREGATE

      See Also:
        Constant Field Values

    - #### JJTDISTINCT

          static final int JJTDISTINCT

      See Also:
        Constant Field Values

    - #### JJTCOUNT

          static final int JJTCOUNT

      See Also:
        Constant Field Values

    - #### JJTAVERAGE

          static final int JJTAVERAGE

      See Also:
        Constant Field Values

    - #### JJTMAX

          static final int JJTMAX

      See Also:
        Constant Field Values

    - #### JJTMIN

          static final int JJTMIN

      See Also:
        Constant Field Values

    - #### JJTSUM

          static final int JJTSUM

      See Also:
        Constant Field Values

    - #### JJTWHERE

          static final int JJTWHERE

      See Also:
        Constant Field Values

    - #### JJTGROUPBY

          static final int JJTGROUPBY

      See Also:
        Constant Field Values

    - #### JJTHAVING

          static final int JJTHAVING

      See Also:
        Constant Field Values

    - #### JJTSUBSELECT

          static final int JJTSUBSELECT

      See Also:
        Constant Field Values

    - #### JJTOR

          static final int JJTOR

      See Also:
        Constant Field Values

    - #### JJTAND

          static final int JJTAND

      See Also:
        Constant Field Values

    - #### JJTNOT

          static final int JJTNOT

      See Also:
        Constant Field Values

    - #### JJTBETWEEN

          static final int JJTBETWEEN

      See Also:
        Constant Field Values

    - #### JJTIN

          static final int JJTIN

      See Also:
        Constant Field Values

    - #### JJTLIKE

          static final int JJTLIKE

      See Also:
        Constant Field Values

    - #### JJTISNULL

          static final int JJTISNULL

      See Also:
        Constant Field Values

    - #### JJTISEMPTY

          static final int JJTISEMPTY

      See Also:
        Constant Field Values

    - #### JJTMEMBEROF

          static final int JJTMEMBEROF

      See Also:
        Constant Field Values

    - #### JJTEXISTS

          static final int JJTEXISTS

      See Also:
        Constant Field Values

    - #### JJTANY

          static final int JJTANY

      See Also:
        Constant Field Values

    - #### JJTALL

          static final int JJTALL

      See Also:
        Constant Field Values

    - #### JJTEQUALS

          static final int JJTEQUALS

      See Also:
        Constant Field Values

    - #### JJTNOTEQUALS

          static final int JJTNOTEQUALS

      See Also:
        Constant Field Values

    - #### JJTGREATERTHAN

          static final int JJTGREATERTHAN

      See Also:
        Constant Field Values

    - #### JJTGREATEROREQUAL

          static final int JJTGREATEROREQUAL

      See Also:
        Constant Field Values

    - #### JJTLESSTHAN

          static final int JJTLESSTHAN

      See Also:
        Constant Field Values

    - #### JJTLESSOREQUAL

          static final int JJTLESSOREQUAL

      See Also:
        Constant Field Values

    - #### JJTADD

          static final int JJTADD

      See Also:
        Constant Field Values

    - #### JJTSUBTRACT

          static final int JJTSUBTRACT

      See Also:
        Constant Field Values

    - #### JJTMULTIPLY

          static final int JJTMULTIPLY

      See Also:
        Constant Field Values

    - #### JJTDIVIDE

          static final int JJTDIVIDE

      See Also:
        Constant Field Values

    - #### JJTNEGATIVE

          static final int JJTNEGATIVE

      See Also:
        Constant Field Values

    - #### JJTCONCAT

          static final int JJTCONCAT

      See Also:
        Constant Field Values

    - #### JJTSUBSTRING

          static final int JJTSUBSTRING

      See Also:
        Constant Field Values

    - #### JJTTRIM

          static final int JJTTRIM

      See Also:
        Constant Field Values

    - #### JJTLOWER

          static final int JJTLOWER

      See Also:
        Constant Field Values

    - #### JJTUPPER

          static final int JJTUPPER

      See Also:
        Constant Field Values

    - #### JJTTRIMLEADING

          static final int JJTTRIMLEADING

      See Also:
        Constant Field Values

    - #### JJTTRIMTRAILING

          static final int JJTTRIMTRAILING

      See Also:
        Constant Field Values

    - #### JJTTRIMBOTH

          static final int JJTTRIMBOTH

      See Also:
        Constant Field Values

    - #### JJTLENGTH

          static final int JJTLENGTH

      See Also:
        Constant Field Values

    - #### JJTLOCATE

          static final int JJTLOCATE

      See Also:
        Constant Field Values

    - #### JJTABS

          static final int JJTABS

      See Also:
        Constant Field Values

    - #### JJTSQRT

          static final int JJTSQRT

      See Also:
        Constant Field Values

    - #### JJTMOD

          static final int JJTMOD

      See Also:
        Constant Field Values

    - #### JJTSIZE

          static final int JJTSIZE

      See Also:
        Constant Field Values

    - #### JJTCURRENTDATE

          static final int JJTCURRENTDATE

      See Also:
        Constant Field Values

    - #### JJTCURRENTTIME

          static final int JJTCURRENTTIME

      See Also:
        Constant Field Values

    - #### JJTCURRENTTIMESTAMP

          static final int JJTCURRENTTIMESTAMP

      See Also:
        Constant Field Values

    - #### JJTORDERBY

          static final int JJTORDERBY

      See Also:
        Constant Field Values

    - #### JJTORDERBYITEM

          static final int JJTORDERBYITEM

      See Also:
        Constant Field Values

    - #### JJTASCENDING

          static final int JJTASCENDING

      See Also:
        Constant Field Values

    - #### JJTDESCENDING

          static final int JJTDESCENDING

      See Also:
        Constant Field Values

    - #### JJTABSTRACTSCHEMANAME

          static final int JJTABSTRACTSCHEMANAME

      See Also:
        Constant Field Values

    - #### JJTTOK

          static final int JJTTOK

      See Also:
        Constant Field Values

    - #### JJTIDENTIFIER

          static final int JJTIDENTIFIER

      See Also:
        Constant Field Values

    - #### JJTIDENTIFICATIONVARIABLE

          static final int JJTIDENTIFICATIONVARIABLE

      See Also:
        Constant Field Values

    - #### JJTINTEGERLITERAL

          static final int JJTINTEGERLITERAL

      See Also:
        Constant Field Values

    - #### JJTDECIMALLITERAL

          static final int JJTDECIMALLITERAL

      See Also:
        Constant Field Values

    - #### JJTBOOLEANLITERAL

          static final int JJTBOOLEANLITERAL

      See Also:
        Constant Field Values

    - #### JJTSTRINGLITERAL

          static final int JJTSTRINGLITERAL

      See Also:
        Constant Field Values

    - #### JJTNAMEDINPUTPARAMETER

          static final int JJTNAMEDINPUTPARAMETER

      See Also:
        Constant Field Values

    - #### JJTPOSITIONALINPUTPARAMETER

          static final int JJTPOSITIONALINPUTPARAMETER

      See Also:
        Constant Field Values

    - #### JJTPATTERNVALUE

          static final int JJTPATTERNVALUE

      See Also:
        Constant Field Values

    - #### JJTESCAPECHARACTER

          static final int JJTESCAPECHARACTER

      See Also:
        Constant Field Values

    - #### JJTTRIMCHARACTER

          static final int JJTTRIMCHARACTER

      See Also:
        Constant Field Values

    - #### jjtNodeName

          static final String[] jjtNodeName